%define upstream_name	 DateTime-Format-ISO8601
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Parses almost all ISO8601 date and time formats
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/RPM4/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

Requires:   perl(Class::Factory::Util)
BuildRequires: perl(DateTime) >= 0.180.0
BuildRequires: perl(DateTime::Format::Builder) >= 0.770.0
BuildRequires: perl(Module::Build) >= 0.380.0
BuildArch:  noarch

%description
Parse and format W3CDTF datetime strings.
ISO8601 time-intervals will be supported in a later release.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.80.0-3.mga4
+ Revision: 510740
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 365614
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 218684
- update to 0.08

* Mon Jan 24 2011 jquelin <jquelin> 0.70.0-3.mga1
+ Revision: 37415
- mageia rebuild
- imported package perl-DateTime-Format-ISO8601


* Mon Nov 15 2010 Colin Guthrie <cguthrie@mandriva.org> 0.70.0-3mdv2011.0
+ Revision: 597644
- Fix Requires

* Mon Nov 15 2010 Colin Guthrie <cguthrie@mandriva.org> 0.70.0-2mdv2011.0
+ Revision: 597625
- Add a require that wasn't caught automagically for some reason

* Fri Nov 12 2010 Colin Guthrie <cguthrie@mandriva.org> 0.70.0-1mdv2011.0
+ Revision: 596595
- import perl-DateTime-Format-ISO8601

